status of this port pair
Sources for this description
Belden, GarrettCom and Hirschmann IT official standalone MIBs
OID reference
1.3.6.1.4.1.553.12.6.22.2.1.4
status of this port pair
Identification
{1 3 6 1 4 1 553 12 6 22 2 1 4}
| Value | Name |
|---|---|
| 0 | initial |
| 1 | unknown |
| 2 | closed |
| 3 | open |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In GARRETTCOM-MIB, the row index sringIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.553.12.6.22.2.1.4.<sringIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.553.12.6.22.2.1.4
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
sringStatus OBJECT-TYPE
SYNTAX INTEGER {
initial(0),
unknown(1),
closed(2),
open(3)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"status of this port pair"
::= { sringEntry 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
status of this port pair
Belden, GarrettCom and Hirschmann IT official standalone MIBs
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: sringStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"sringStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"initial",
"(",
"0",
")",
",",
"unknown",
"(",
"1",
")",
",",
"closed",
"(",
"2",
")",
",",
"open",
"(",
"3",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"status of this port pair\"",
"::=",
"{",
"sringEntry",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"initial",
0
],
[
"unknown",
1
],
[
"closed",
2
],
[
"open",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"status of this port pair"
],
null,
null,
null,
null
]
}Module: GARRETTCOM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Same file in 069Qp00000ju93VIAQ.
Same file in 069Qp00000ju8vRIAQ.
Module: GARRETTCOM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Module: GARRETTCOM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Counter'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.553.12.6.22.2.1.1 | sringIndex | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.22.2.1.2 | sringPort1 | 0 | 0 | |
| 1.3.6.1.4.1.553.12.6.22.2.1.3 | sringPort2 | 0 | 0 |